Bug 1534149

Summary: impress causes high cpu load with glib2 >- 2.54.3-1
Product: [Fedora] Fedora Reporter: Matthias Runge <mrunge>
Component: libreofficeAssignee: Caolan McNamara <caolanm>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 27CC: caolanm, dominik, dtardon, erack, fedora, joachim.backes, klember, kparal, mstahl, nathan95, sbergman, umar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-23 21:44:04 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Matthias Runge 2018-01-13 15:10:31 UTC
Description of problem:
After I just opened an empty impress doc (Create new), I saw a spike in CPU load, and one soffice.bin process consuming 100% CPU time, even if I don't type in impress, etc.



Version-Release number of selected component (if applicable):
libreoffice-impress-5.4.4.2-2.fc27.x86_64


How reproducible:
100%

Steps to Reproduce:
1. launch impress
2.
3.

Actual results:
100% CPU load, it's just burning cycles

Expected results:
if nothing is done, it should not waste cpu time.

Additional info:

Comment 1 Matthias Runge 2018-01-13 15:16:20 UTC
Opening "options" makes the load immediately go down.

Comment 2 Caolan McNamara 2018-01-13 17:04:58 UTC
what's the version of glib2 ?

Comment 3 Matthias Runge 2018-01-14 17:01:17 UTC
(In reply to Caolan McNamara from comment #2)
> what's the version of glib2 ?

glib2-2.54.3-1.fc27.x86_64

Comment 4 Matthias Runge 2018-01-14 17:06:04 UTC
I briefly tried glib2-2.55.1-1.fc28.x86_64, but that did not solve the issue

Comment 5 Caolan McNamara 2018-01-14 21:31:20 UTC
downgrading to glib2-2.54.2-1.fc27.x86_64 works

Comment 6 Caolan McNamara 2018-01-16 17:21:39 UTC
*** Bug 1535004 has been marked as a duplicate of this bug. ***

Comment 7 Joachim Backes 2018-01-16 19:23:46 UTC
Problem: downgrading to glib2-2.54.2-1.fc27.x86_64 generates problems:

 sudo dnf  downgrade glib2-2.54.2-1.fc27.x86_64 
Failed to synchronize cache for repo 'region51-chrome-gnome-shell', disabling.
Last metadata expiration check: 0:47:26 ago on Tue Jan 16 19:34:44 2018.
Dependencies resolved.
================================================================================================================================
 Package                         Arch                       Version                           Repository                   Size
================================================================================================================================
Downgrading:
 glib2                           x86_64                     2.54.2-1.fc27                     updates                     2.4 M
 glib2-devel                     x86_64                     2.54.2-1.fc27                     updates                     453 k

Transaction Summary
================================================================================================================================
Downgrade  2 Packages

Total size: 2.9 M
Is this ok [y/N]: y
Downloading Packages:                                              
Running transaction check
Transaction check succeeded.
Running transaction test
Error: Transaction check error:
  file /usr/share/doc/glib2/NEWS from install of glib2-2.54.2-1.fc27.x86_64 conflicts with file from package glib2-2.54.3-1.fc27.i686
  file /usr/share/doc/glib2/README from install of glib2-2.54.2-1.fc27.x86_64 conflicts with file from package glib2-2.54.3-1.fc27.i686
  file /usr/share/locale/nb/LC_MESSAGES/glib20.mo from install of glib2-2.54.2-1.fc27.x86_64 conflicts with file from package glib2-2.54.3-1.fc27.i686
  file /usr/share/man/man1/gapplication.1.gz from install of glib2-2.54.2-1.fc27.x86_64 conflicts with file from package glib2-2.54.3-1.fc27.i686
  file /usr/share/man/man1/gdbus.1.gz from install of glib2-2.54.2-1.fc27.x86_64 conflicts with file from package glib2-2.54.3-1.fc27.i686
  file /usr/share/man/man1/gio-querymodules.1.gz from install of glib2-2.54.2-1.fc27.x86_64 conflicts with file from package glib2-2.54.3-1.fc27.i686
  file /usr/share/man/man1/gio.1.gz from install of glib2-2.54.2-1.fc27.x86_64 conflicts with file from package glib2-2.54.3-1.fc27.i686
  file /usr/share/man/man1/glib-compile-schemas.1.gz from install of glib2-2.54.2-1.fc27.x86_64 conflicts with file from package glib2-2.54.3-1.fc27.i686
  file /usr/share/man/man1/gsettings.1.gz from install of glib2-2.54.2-1.fc27.x86_64 conflicts with file from package glib2-2.54.3-1.fc27.i686

Comment 8 Caolan McNamara 2018-01-16 20:27:02 UTC
dnf downgrade glib2-2.54.2-1.fc27.x86_64 specifies x86_64 and the warning mentions i686, so probably either
dnf downgrade glib2-2.54.2-1.fc27
or
dnf downgrade glib2-2.54.2-1.fc27.x86_64 glib2-2.54.2-1.fc27.i686
might work better

Comment 9 Joachim Backes 2018-01-17 07:12:10 UTC
(In reply to Caolan McNamara from comment #8)
> dnf downgrade glib2-2.54.2-1.fc27.x86_64 specifies x86_64 and the warning
> mentions i686, so probably either
> dnf downgrade glib2-2.54.2-1.fc27
> or
> dnf downgrade glib2-2.54.2-1.fc27.x86_64 glib2-2.54.2-1.fc27.i686
> might work better

indeed:

dnf downgrade glib2-2.54.2-1.fc27.x86_64 glib2-2.54.2-1.fc27.i686

solved the problem (I overlooked the i686 dependency).

Comment 10 Sammy 2018-01-18 13:25:20 UTC
This is interesting. This does not happen with kde4 subpackage working under KDE. I removed all the kde4 dependent packages including the libreoffice one and encountered the 100% cpu usage with oocalc. Reinstalling the kde4 packages solved the problem.

Comment 11 Fedora Update System 2018-01-18 13:41:38 UTC
glib2-2.54.3-2.fc27 timedatex-0.5-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4745a9bbeb

Comment 12 Fedora Update System 2018-01-19 00:33:37 UTC
glib2-2.54.3-2.fc27, timedatex-0.5-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4745a9bbeb

Comment 13 Dominik 'Rathann' Mierzejewski 2018-01-22 09:23:07 UTC
Also reproducible with LibreOffice Writer. Indeed, after opening the Tools->Options dialog it does stop consuming 100% CPU. I'll test the glib2 update shortly.

Comment 14 Dominik 'Rathann' Mierzejewski 2018-01-22 15:20:28 UTC
The 2.54.3-2.fc27 update fixes the issue for me, thanks.

Comment 15 Fedora Update System 2018-01-23 21:44:04 UTC
glib2-2.54.3-2.fc27, timedatex-0.5-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.